Skip to main content
GET
/
clients
/
me
/
chains
/
{chain}
/
assets
/
nfts
Get wallet NFTs
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/chains/{chain}/assets/nfts \
  --header 'Authorization: Bearer <token>'
[
  {
    "nftId": "nft_abc123",
    "name": "Cool NFT #1",
    "description": "A cool NFT",
    "imageUrl": "https://example.com/nft.png",
    "chainId": "eip155:1",
    "contractAddress": "0x1234567890abcdef1234567890abcdef12345678",
    "tokenId": "1",
    "collection": {
      "name": "Cool Collection",
      "description": "A collection of cool NFTs",
      "imageUrl": "https://example.com/collection.png"
    },
    "rarity": {
      "rank": 100,
      "score": 85.5
    },
    "floorPrice": "0.5",
    "detailedInfo": {
      "ownerCount": 5000,
      "tokenCount": 10000,
      "attributes": [],
      "owners": []
    }
  }
]

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Path Parameters

chain
string
required

The blockchain chain identifier. Use either a friendly name or CAIP-2 format. When using CAIP-2 format in URLs, ensure the colon (:) is URI-encoded as %3A.

Supported chains:

  • ethereum (eip155:1)
  • sepolia (eip155:11155111)
  • base (eip155:8453)
  • base-sepolia (eip155:84532)
  • polygon (eip155:137)
  • polygon-mumbai (eip155:80001)
  • celo (eip155:42220)
  • celo-alfajores (eip155:44787)
  • monad-testnet (eip155:10143)
  • solana (solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp)
  • solana-devnet (solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1)
  • tron (tron:mainnet)
  • tron-nile (tron:nile)
  • tron-shasta (tron:shasta)
  • stellar (stellar:pubnet)
  • stellar-testnet (stellar:testnet)
  • bitcoin-segwit (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-segwit-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)
  • bitcoin-p2wpkh (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-p2wpkh-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)

Response

NFTs retrieved successfully

nftId
string

Unique NFT identifier.

name
string

NFT name.

description
string

NFT description.

imageUrl
string

URL of the NFT image.

chainId
string

CAIP-2 chain ID where the NFT lives.

contractAddress
string

NFT contract address.

tokenId
string

Token ID within the contract.

collection
object
lastSale
object

Last sale information, if available.

rarity
object
floorPrice
string | null

Current floor price for the collection.

detailedInfo
object